#include <iostream>
#include <vector>
#include <ctime>
#include "histogram.hpp"
#include "text.hpp"
#include "svg.hpp"
#include <sstream>
#include "curl.hpp"

using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& in, bool prompt)
{
    size_t number_count;
    if (prompt) {cerr << "Enter number count: ";}
    in >> number_count; // Кол-во чисел
    Input inp;
    inp.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        if(prompt){cerr << "Enter number №" << i+1 << ": ";}
        in >> inp.numbers[i];
    }
    if(prompt){cerr << "Enter bin count: ";}
    in >> inp.bin_count;
    return inp;
}

int main(int argc, char* argv[])
{
    curl_global_init(CURL_GLOBAL_ALL);
    bool prompt = true;
    auto in = input_data(cin, prompt);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
